### Enumeration

# Camel NetworkSecurityMethod

since: 3.2

#### Declaration

    enum Camel.NetworkSecurityMethod

#### Description [src]

Methods for establishing an encrypted (or unencrypted) network connection.

Available since: 3.2

#### Members

`CAMEL_NETWORK_SECURITY_METHOD_NONE`

  Use an unencrypted network connection.

  - Value: `0`
  - Available since: 3.2
`CAMEL_NETWORK_SECURITY_METHOD_SSL_ON_ALTERNATE_PORT`

  Use SSL by connecting to an alternate port number.

  - Value: `1`
  - Available since: 3.2
`CAMEL_NETWORK_SECURITY_METHOD_STARTTLS_ON_STANDARD_PORT`

  Use SSL or TLS by connecting to the standard port and invoking STARTTLS before authenticating. This is the recommended method.

  - Value: `2`
  - Available since: 3.2